Index: branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/HeuristicLabEncodingsRealVectorEncodingPlugin.cs.frame
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/HeuristicLabEncodingsRealVectorEncodingPlugin.cs.frame	(revision 6228)
+++ branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/HeuristicLabEncodingsRealVectorEncodingPlugin.cs.frame	(revision 6760)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Encodings.RealVectorEncoding plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Encodings.RealVectorEncoding", "3.3.4.$WCREV$")]
+  [Plugin("HeuristicLab.Encodings.RealVectorEncoding", "3.3.5.$WCREV$")]
   [PluginFile("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/BreederGeneticAlgorithmManipulator.cs
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/BreederGeneticAlgorithmManipulator.cs	(revision 6228)
+++ branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/BreederGeneticAlgorithmManipulator.cs	(revision 6760)
@@ -52,5 +52,6 @@
     public BreederGeneticAlgorithmManipulator()
       : base() {
-      Parameters.Add(new ValueLookupParameter<DoubleValue>("SearchIntervalFactor", "The factor determining the size of the search interval, that will be added/removed to/from the allele selected for manipulation. E.g. a value of 0.1 means 10% of the range will be maximally added/removed.", new DoubleValue(0.1)));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("SearchIntervalFactor", @"Scales the manipulation strength as a factor of the range. The range is determined by the bounds interval.
+A value of 0.1 means that certain components of the vector are moved by values in the non-uniform interval [0;0.1*range].", new DoubleValue(0.1)));
     }
 
Index: branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/PolynomialAllPositionManipulator.cs
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/PolynomialAllPositionManipulator.cs	(revision 6228)
+++ branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/PolynomialAllPositionManipulator.cs	(revision 6760)
@@ -87,7 +87,7 @@
         if (u < 0.5) {
           delta = Math.Pow(2 * u, 1.0 / (contiguity.Value + 1)) - 1.0;
-        } else if (u > 0.5) {
-          delta = 1.0 - Math.Pow(2.0 - 2.0 * u, 1.0 / contiguity.Value + 1);
-        } else if (u == 0.5) delta = 0;
+        } else if (u >= 0.5) {
+          delta = 1.0 - Math.Pow(2.0 - 2.0 * u, 1.0 / (contiguity.Value + 1));
+        }
 
         vector[index] += delta * maxManipulation.Value;
Index: branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/PolynomialOnePositionManipulator.cs
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/PolynomialOnePositionManipulator.cs	(revision 6228)
+++ branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/PolynomialOnePositionManipulator.cs	(revision 6760)
@@ -89,7 +89,7 @@
       if (u < 0.5) {
         delta = Math.Pow(2 * u, 1.0 / (contiguity + 1)) - 1.0;
-      } else if (u > 0.5) {
-        delta = 1.0 - Math.Pow(2.0 - 2.0 * u, 1.0 / contiguity + 1);
-      } else delta = 0;
+      } else if (u >= 0.5) {
+        delta = 1.0 - Math.Pow(2.0 - 2.0 * u, 1.0 / (contiguity + 1));
+      }
 
       return delta;
Index: branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Properties/AssemblyInfo.frame	(revision 6228)
+++ branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Properties/AssemblyInfo.frame	(revision 6760)
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
Index: branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/PolynomialAllPositionManipulatorTest.cs
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/PolynomialAllPositionManipulatorTest.cs	(revision 6228)
+++ branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/PolynomialAllPositionManipulatorTest.cs	(revision 6760)
@@ -92,5 +92,5 @@
       random.DoubleNumbers = new double[] { 0.2, 0.7, 0.8, 0.01, 0.1 };
       parent = new RealVector(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
-      expected = new RealVector(new double[] { 0.120213215256006, 0.336631954950876, 0.474551336679454, 0.322759240811056, -0.0182075293954083 });
+      expected = new RealVector(new double[] { 0.120213215256006, 0.249415354697564, 0.379786784743994, 0.322759240811056, -0.0182075293954083 });
       contiguity = new DoubleValue(0.8);
       maxManipulation = new DoubleValue(0.2);
@@ -106,6 +106,5 @@
       try {
         PolynomialAllPositionManipulator.Apply(random, parent, contiguity, maxManipulation);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/Properties/AssemblyInfo.cs	(revision 6228)
+++ branches/PersistenceSpeedUp/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/Properties/AssemblyInfo.cs	(revision 6760)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.0")]
+[assembly: AssemblyFileVersion("3.3.5.0")]
